<!--
/******************************************************************************************************************/
/* WebCoM 1.0 - Web Course Manager                                                                                */
/*                                                                                                                */ 
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira. All rights reserved.                    */   
/*                                                                                                                */   
/* WebCoM is free software; you can redistribute it and/or modify it under the terms of the GNU General           */
/* Public License as published by the Free Software Foundation; either version 2 of the License, or any later     */
/* version.                                                                                                       */
/*                                                                                                                */
/* WebCoM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the           */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License    */
/* for more details.                                                                                              */
/*                                                                                                                */
/* You should have received a copy of the GNU General Public License along with this program; if not, write to    */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                   */
/*                                                                                                                */
/* Contact:                                                                                                       */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org                                           */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668, So Carlos,So Paulo - Brasil CEP 13560-970*/                                                                                 
/******************************************************************************************************************/
-->

<HTML>
<HEAD>
  <TITLE>FTP Tool</TITLE>
  <META NAME="Author" CONTENT="Dilvan de Abreu Moreira">
</HEAD>

<SCRIPT>
  function setCookie(valor) {
      cookie_name = "ftp";
      document.cookie=cookie_name+"="+valor+";path=/";
  }

  function getCookie(name) {
      var cookie = " " + document.cookie;
      var search = " " + name + "=";
      var setStr = null;
      var offset = 0;
      var end = 0;
      if (cookie.length > 0) {
         offset = cookie.indexOf(search);
	 if (offset != -1) {
	     offset += search.length;
	     end = cookie.indexOf(";", offset)
	     if (end == -1) {
	        end = cookie.length;
             }
	     setStr = unescape(cookie.substring(offset, end));
         }
      }
      return(setStr);
  }


</SCRIPT>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="agents.sql.*" %>
<%@ page import="agents.*" %>
<%@ page import="agents.agent.*" %>
<%@ page import="course.util.UtilFunctions" %>
<%
   String database = request.getParameter("database"); 
   String key = request.getParameter("key");
   String userLogin = request.getParameter("userLogin");

   int errorLogin = 0;
   ResultSet rs;
   String typeUser, passwd;
   String[] Directories = null;	  
   SQLDatabase sql = new SQLDatabase();
   LoginJSP loginJSP = new LoginJSP();

   // Verify if he is monitor
   sql.init(database);
   rs = sql.executeQuery("SELECT username FROM monitors WHERE username='" + userLogin + "'");
   if (rs.next())
       typeUser = "monitor";
   else
       typeUser = "student";
   sql.close();

   sql.init(Defaults.WEBCOMDATABASE);
   rs = sql.executeQuery("SELECT password  FROM users WHERE username='" + userLogin + "'");
   rs.next();
   passwd = rs.getString(1);
   sql.close();

   int testUser = loginJSP.UserValid(userLogin, key, passwd);
   if (testUser != 0) {
       if (testUser == 1) {
           errorLogin = 1;
       } else {
           if (!typeUser.equals("monitor"))
               errorLogin = 2;
       }
   } else {
       %>
       <BODY TEXT="#000000" BGCOLOR="#FFFFFF" background="gifs/fundo2.gif">
       <FONT FACE="Arial, Helvetica, sans-serif" SIZE="6"><B>Upload Manager</B></FONT>
       <HR>
       <CENTER>          
       <BR><BR>
       <script>
       setCookie('<%=key%>');
       </script> 
       <%
        int classUsername = 0;
        int error = 0;

        sql.init(database);
        if (typeUser.equals("student")) {
            rs = sql.executeQuery("SELECT students.class,class.expire FROM students,class WHERE username='" + 
                                            userLogin + "' AND students.class=class.id");
            java.util.Date date = new java.util.Date();
            // if the student is in two classes, get the first avaiable and not expired class to upload files
	    for (;rs.next();) {
	        if (UtilFunctions.verifyDate(date,rs.getDate(2)) < 0) 
		   error = 1;
                else {
 	  	    classUsername = rs.getInt(1);
                    for(;rs.next(););
                    error = 0;
                }
            }
            // register not found
            if ((classUsername==0) && (error == 0))
                error = 2;
        }

        if (error == 0) 
            Directories = sql.getLogOptions(classUsername);

        sql.close();
        if (error == 0) {
            %>
            <H3> Please Select one Directory in list and click <B> Enter </B>. </H3>

            <FORM METHOD="POST" NAME="optionDirectory" ACTION="/manager_files/ftp.jsp" onSubmit="x=null;x=getCookie('ftp');document.optionDirectory.Validade.value=x;
                                                            var index=document.optionDirectory.listDirectories.options.selectedIndex; 
                                                            document.optionDirectory.Diretorio.value=document.optionDirectory.listDirectories.options[index].value;"> 
            <INPUT TYPE=hidden NAME="Curso" VALUE=<%=database%>>
            <INPUT TYPE=hidden NAME="NomeForm" VALUE="EntradaForm">
            <INPUT TYPE=hidden NAME="NomeUsuario" VALUE="<%=userLogin%>">
            <INPUT TYPE=hidden NAME="Diretorio" VALUE="">
            <INPUT TYPE=hidden NAME="Validade" VALUE="">
            <INPUT TYPE=hidden NAME="Class" VALUE="<%=classUsername%>">

            <SELECT NAME=listDirectories>
            <%
            if (Directories.length > 0) {
                for (int counter = 0; counter < Directories.length; counter++) {
                    %>
                    <OPTION NAME="options" VALUE="<%=Directories[counter]%>"> <%=Directories[counter]%> 
                    <%
                }
            } 
            %>
            </SELECT>
            <INPUT TYPE=submit VALUE="Enter">
            </FORM>
            <%
        } else {
            %>
            <H3>
            <%
            if (error == 1) {%> Your class is expired.<% }
            if (error == 2) {%> Student is not registred in any class. <% }
            %>
            </H3>
            <%
        }
    }
    if (errorLogin != 0) {
        %>
        <H3>
        <%
        if (errorLogin == 1) {%> Autentication expired to this directory.<% }
        if (errorLogin == 2) {%> Autentication Failed. <% }
        %>
        </H3>
        <%
    }
    %>
    <BR><BR>
    <CENTER>
    <FORM>
    <INPUT TYPE=button NAME=Fechar VALUE="    Exit    " onClick="window.close();">
    </FORM>
    </CENTER>
    </BODY>
</HTML>
