<!--
/******************************************************************************************************************/
/* WebCoM 1.0 - Web Course Manager                                                                                */
/*                                                                                                                */ 
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira. All rights reserved.                    */   
/*                                                                                                                */   
/* WebCoM is free software; you can redistribute it and/or modify it under the terms of the GNU General           */
/* Public License as published by the Free Software Foundation; either version 2 of the License, or any later     */
/* version.                                                                                                       */
/*                                                                                                                */
/* WebCoM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the           */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License    */
/* for more details.                                                                                              */
/*                                                                                                                */
/* You should have received a copy of the GNU General Public License along with this program; if not, write to    */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                   */
/*                                                                                                                */
/* Contact:                                                                                                       */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org                                           */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668, So Carlos,So Paulo - Brasil CEP 13560-970*/                                                                                 
/******************************************************************************************************************/
-->

<HTML>
<HEAD>
  <TITLE>Accept Candidate</TITLE>
  <META NAME="Author" CONTENT="Dilvan de Abreu Moreira">
</HEAD>
<SCRIPT Language="JavaScript">
   function showCandidate(username,database){
      window.open("/manager_files/more_candidate.jsp?username=" + escape(username) +
                  "&database=" + escape(database),"","toolbar=no,location=no,directories=no,status=no,menubar=no,resizable,scrollbars=yes");
   }
   function checkNumber(texto) {
                 cont = 0;
                 CadeiaInt = "0123456789";
                 while (cont < texto.length) {
                     if (CadeiaInt.indexOf(texto[cont],0) == -1) {
                         alert("Invalid Value for the Register Number");
                         return false;
                     }
                     cont++; 
                 }
                 return true;
   }
   
</SCRIPT>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="agents.sql.*" %>
<%@ page import="agents.*" %>
<%@ page import="agents.agent.*" %>
<%@ page import="course.util.UtilFunctions" %>

<%
    int count =0;
    SQLDatabase sql = new SQLDatabase();
    ResultSet rs;
    String database = request.getParameter("database"); 
    String key = request.getParameter("key");
    String userLogin = request.getParameter("userLogin");
    String typeUserLogin = null;

    int countUsernameID;
    int numberCandidates;
    Vector usernameID[];
    ResultSet rs1;
%>
<BODY TEXT="#000000" background="gifs/fundo2.gif">
    <%
   LoginJSP loginJSP  = new LoginJSP();

   sql.init(database);
   rs = sql.executeQuery("SELECT username FROM monitors WHERE username='" + userLogin + "'");
   if (rs.next())
       typeUserLogin = "monitor";
   else 
       typeUserLogin = "student";

   sql.close();

   sql.init(Defaults.WEBCOMDATABASE);
   rs = sql.executeQuery("SELECT password, type FROM users WHERE username='" + userLogin + "'");
   rs.next();
   if (rs.getString(2).equals("administrator"))
       typeUserLogin = "administrator";

   sql.close();
   if (!typeUserLogin.equals("administrator") && !typeUserLogin.equals("monitor")) {
%>
    User is neither an Administrator nor a Monitor. 
    <%
   } else {
       int testUser = loginJSP.UserValid(userLogin, key, rs.getString(1));
       if (testUser != 0) {
           if (testUser == 1) {
%>
    Autentication Error. 
    <%
           } else {
%>
    Autentication Error. Try Again or Contact the System Administrator. 
    <%
           }
       } else {
%>
    <FONT FACE="Arial" SIZE="3"><B>Accept Candidates</B></FONT> 
    <HR>
   <ul>
  <li><font size="2"> Those are the candidates for the course.</font></li>
  <li><font size="2">Make sure that the information about each candidate is accurate.</font> 
  </li>
</ul>
<FORM NAME=acceptCandidate TARGET="result" ACTION="/manager_files/accept_candidate.jsp" METHOD="Post"
       onSubmit='window.open("","result","width=400,height=350");'>
  <INPUT TYPE="hidden" NAME="database" VALUE="<%=database%>">
  Select class: 
  <SELECT NAME="classes">
    <%
           sql.init(database);
           rs = sql.executeQuery("SELECT id,expire FROM class ORDER BY id DESC");
           java.util.Date date = new java.util.Date();
           int contList = 0;
           for(;rs.next();) { 
               if (UtilFunctions.verifyDate(date, rs.getDate(2)) >= 0) {
%>
    <OPTION> Class <%=rs.getInt(1)%> 
    <%
    	           contList++;  
               }
           }
 %>
  </SELECT>
  <%
           if (contList > 0) {  // if have some class
               rs = sql.executeQuery("SELECT * FROM candidates WHERE accepted='n' ORDER BY username"); // get all candidates
               // Present each candidate to the course
               for (count = 0; rs.next(); count++) {
 %>
  <br>
  <br>
  <CENTER>
    <TABLE border=1 width="100%" bordercolor="#000000">
      <TR bgcolor="#005B88"> 
        <TD width="17%"> 
          <CENTER>
            <B> 
            <INPUT TYPE=radio NAME="<%=rs.getString(23)%>" VALUE=A>
            <font color="#FFFFFF" face="Arial" size="2">Accept <BR>
            <INPUT TYPE=radio NAME="<%=rs.getString(23)%>" VALUE=D>
            Delete <BR>
            <INPUT TYPE=radio NAME="<%=rs.getString(23)%>" VALUE=I Checked>
            Ignore </font> 
            <INPUT TYPE="hidden" NAME="email_<%=rs.getString(23)%>" VALUE="<%=rs.getString(12)%>">
            </B>
          </CENTER>
        </TD>
        <TD width="30%"><font color="#FFFFFF" face="Arial" size="2"><b>Identification 
          Number: </b></font> 
          <INPUT TYPE=text NAME="idNumber_<%=rs.getString(23)%>" VALUE="<%=rs.getString(24)%>" SIZE=10 MAXLENGTH=10 
                     onChange="checkNumber(document.acceptCandidate.idNumber<%=count+1%>.value);">
        </TD>
        <TD align="center" colspan=2> 
          <INPUT TYPE=button NAME="user<%=count+1%>" VALUE="More Information about this candidate" SIZE=10 MAXLENGTH=10 
                          onClick="showCandidate('<%=rs.getString(23)%>','<%=database%>');">
        </TD>
      </TR>
      <TR> 
        <TD bgcolor="#007BB7" align=right width="17%"><b><font color="#FFFFFF" face="Arial" size="2">USERNAME</font></b></TD>
        <TD bgcolor="#C1E0FF" width="30%"><b><font face="Arial" size="2" color="#CC3300">- 
          <%=rs.getString(23)%> </font></B></TD>
        <TD bgcolor="#007BB7" align=right width="18%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          City</font></b></TD>
        <TD bgcolor="#C1E0FF" width="35%"><font face="Arial" size="2"> - <%=rs.getString(8)%> 
          </font></TD>
      </TR>
      <TR> 
        <TD bgcolor="#007BB7" align=right width="17%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          Last Name</font></b></TD>
        <TD bgcolor="#C1E0FF" width="30%"><font face="Arial" size="2"> - <%=rs.getString(3)%> 
          </font></TD>
        <TD bgcolor="#007BB7" align=right width="18%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          State</font></b></TD>
        <TD bgcolor="#C1E0FF" width="35%" ><font face="Arial" size="2"> - <%=rs.getString(9)%> 
          </font></TD>
      </TR>
      <TR> 
        <TD bgcolor="#007BB7" align=right width="17%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          First Name</font></b></TD>
        <TD bgcolor="#C1E0FF" width="30%"><font face="Arial" size="2"> - <%=rs.getString(4)%> 
          </font></TD>
        <TD bgcolor="#007BB7" align=right width="18%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          Education Level</font></b></TD>
        <TD bgcolor="#C1E0FF" width="35%" ><font face="Arial" size="2"> - <%=rs.getString(17)%> 
          </font></TD>
      </TR>
      <TR> 
        <TD bgcolor="#007BB7" align=right width="17%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          Email</font></b></TD>
        <TD bgcolor="#C1E0FF" width="30%" ><font face="Arial" size="2"> - <%=rs.getString(12)%> 
          </font></TD>
        <TD bgcolor="#007BB7" align=right width="18%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          English Level</font></b></TD>
        <TD bgcolor="#C1E0FF" width="35%" ><font face="Arial" size="2"> - <%=rs.getString(18)%> 
          </font></TD>
      </TR>
      <TR>  
        <TD bgcolor="#007BB7" align=right width="17%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          Study Time</font></b></TD>
        <TD bgcolor="#C1E0FF" width="30%" ><font face="Arial" size="2"> - <%=rs.getString(22)%> 
          </font></TD>
        <TD bgcolor="#007BB7" align=right width="18%"><b><font color="#FFFFFF" face="Arial" size="2"> 
          Creation Date</font></b></TD>
        <TD bgcolor="#C1E0FF" width="35%"><font face="Arial" size="2"> - <%=rs.getString(25)%> 
          </font></TD>
      </TR>
    </TABLE>
  </CENTER>
  <%
               } // end of for to each candidate
               sql.close();
           } // end of if to classes
           if (count > 0) { // if there are candidates
%>
  <BR>
  <CENTER>
    <INPUT TYPE=submit VALUE="   Submit   ">
    <INPUT TYPE=reset VALUE=" Clear Form ">
    <INPUT TYPE=button VALUE="    Exit    " OnClick="window.close()">
  </CENTER>
  <%
           } else {
%><BR>
  There aren't candidates in this course.
  <%
           }
%>
</FORM>
<CENTER>
  <I></I> 
</CENTER>
<%
       } // end of user valid
   } // end of  type of user
%>
</BODY>
</HTML>
