<!--
/******************************************************************************************************************/
/* WebCoM 1.0 - Web Course Manager                                                                                */
/*                                                                                                                */ 
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira. All rights reserved.                    */   
/*                                                                                                                */   
/* WebCoM is free software; you can redistribute it and/or modify it under the terms of the GNU General           */
/* Public License as published by the Free Software Foundation; either version 2 of the License, or any later     */
/* version.                                                                                                       */
/*                                                                                                                */
/* WebCoM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the           */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License    */
/* for more details.                                                                                              */
/*                                                                                                                */
/* You should have received a copy of the GNU General Public License along with this program; if not, write to    */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                   */
/*                                                                                                                */
/* Contact:                                                                                                       */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org                                           */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668, So Carlos,So Paulo - Brasil CEP 13560-970*/                                                                                 
/******************************************************************************************************************/
-->

<%@ page import="java.io.*"%> 
<%@ page import="java.util.*"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.net.*"%>
<%@ page import="agents.security.*"%>
<%@ page import="agents.sql.*"%>
<%@ page import="agents.*"%>
<%@ page import="agents.agent.*"%>
<%@ page import="ftpHttp.*"%>

<%  
    File[] Arquivos = new File[20];
    File[] Diretorios = new File[20];
    int ContadorArquivos = 0;
    int ContadorDiretorios = 0;
    String Diretorio = null;
    String Indice = null;
    String NomeCurso, NomeUsuario, Validade;
    String DiretorioSelecionado = null;
    int Erro = 0;                                                                     //Geracao de erros na propria pagina
    int NumeroErro = 0;                                                               // Erros associados ao login
    int NumeroArquivosSelecao = 1;
    ftpform ftpc = new ftpform();
    LoginJSP loginJSP = new LoginJSP();

    String IdentificacaoForm = request.getParameter("NomeForm");                      // Obtem dados padroes do formulario 
    NomeCurso= request.getParameter("Curso");
    NomeUsuario= request.getParameter("NomeUsuario");
    Validade= request.getParameter("Validade");
    DiretorioSelecionado= request.getParameter("Diretorio");
    String classSelected = request.getParameter("Class");
    SQLDatabase sql = new SQLDatabase();

   
    // Verify the autentication of login
    sql.init(Defaults.WEBCOMDATABASE);
    ResultSet rs = sql.executeQuery("SELECT password, type FROM users WHERE username='" + NomeUsuario + "'");
    rs.next();
    sql.close();
    int testUser = loginJSP.UserValid(NomeUsuario,Validade, rs.getString(1));
    if (testUser != 0) {
        if (testUser == 1) 
            NumeroErro = 1;  // Autentication expired
        else
            NumeroErro = 2; //Autentication Error. Try Again or Contact the System Administrator.
    } else {
        if (IdentificacaoForm.equals("EntradaForm")) {                                    // Identificacao do login
            try {
                sql.init(Defaults.WEBCOMDATABASE);
                ResultSet rs1 = sql.executeQuery("SELECT directory FROM basic_info WHERE database_name='" + NomeCurso + "'");
                rs1.next();
                sql.close();
                sql.init(NomeCurso);
                java.util.Date Data_Exp = new java.util.Date();
                java.util.Date Data_Login = new java.util.Date();
                Diretorio = sql.getDirectory(NomeUsuario, DiretorioSelecionado,  
                                             Data_Exp, rs1.getString(1),
                                             Integer.parseInt(classSelected));  // Obtem diretorio de upload do usuario
    
                System.out.println(Diretorio);
                if (Data_Login.after(Data_Exp))
                    NumeroErro = 6;
                int IndiceUsuario;
                if (rs.getString(2).equals("monitor"))
                    IndiceUsuario = Diretorio.lastIndexOf(File.separator) +1;
                else
                    IndiceUsuario = ftpc.ObtemIndicePathUsuario (Diretorio, DiretorioSelecionado); 

                Indice = String.valueOf(IndiceUsuario);                                    // Identifica o indice de onde comeca o diretorio do usuario
                ftpc.ObtemArquivosDiretorios(Diretorio);                                 // Lista arquivos e diretorios de um diretorio
                sql.close();
             } catch (Exception e) {NumeroErro = 3;System.out.println(e.toString());}
        } else

        /* Identificacao do formulario para diretorios */

        if (IdentificacaoForm.compareTo("FormDiretorios") == 0) {                           
            String NomeDiretorio= request.getParameter("ListaDiretorios");                // Obtem o diretorio selecionado
            Diretorio = request.getParameter("Diretorio");
            Indice = request.getParameter("Indice");
            if (NomeDiretorio != null) {
	        if (request.getParameter("ApagarDir") != null) {
                    if (!NomeDiretorio.equals(".")) {                                    // Verifica se clicou em um diretorio valido...
                        String NomeDiretorioApagado = Diretorio + File.separator + NomeDiretorio;  
                        File Arquivo = new File(NomeDiretorioApagado);
                        Arquivo.delete();          
                    } else
                        Erro = 2;
                } else {
		    if (request.getParameter("AcessarDir") != null) {
                        if (!NomeDiretorio.equals(".")) {                                 // Verifica se clicou em um diretorio valido...
                            Diretorio = Diretorio + File.separator + NomeDiretorio;       // Altera o valor da variavel do diretorio atual
                        } else
                            Erro = 2;
                    }
                }
            } 
            if (request.getParameter("UpDir") != null) {
                int UltimoIndice = Diretorio.lastIndexOf(File.separator);                             // Obtem o indice da ultima ocorrencia do caractere / (47)
                if (UltimoIndice == Integer.parseInt(Indice)-1)                         // Verifica se este indice coincide com o indice do diretorio raiz do usuario
                   Erro = 3;                                                             // Se verdadeiro, indica o ultimo nivel na arvore de diretorios
                else 
                   Diretorio = Diretorio.substring(0,UltimoIndice);                      // Se falso, obtem um caminho que vai da primeira posicao ate a ultima /
            } else {
                if (request.getParameter("UpTopDir") != null) {
                    String Aux = Diretorio.substring(Integer.parseInt(Indice),Diretorio.length());  // Obtem um substring que vai do inicio do diretorio do usuario ate o fim
                    if (Aux.indexOf(File.separator) > 0) {                                                      // Verifica se existem barras nesta substring
                        int IndiceAux = Diretorio.indexOf(File.separator,Integer.parseInt(Indice));             // Retorna o indice da primeira ocorrencia da / (47) apartir da posicao indicada no segundo parametro
                        Diretorio = Diretorio.substring(0,IndiceAux);                               // Obtem um caminho que vai do incio ate o indice obtido anteriormente (raiz do diretorio do usuario)
                    }
                    else 
                       Erro = 3;                                                                   // Ultimo nivel na arvore de diretorios
                }
            } 
            ftpc.ObtemArquivosDiretorios(Diretorio);                                        // Atualiza a lista de diretorios e arquivos
         } else

         /* Identificacao do formulario para renomear diretorios ou arquivos */
         if (IdentificacaoForm.equals("FormRenomear")) {
             String NomeVelho = null;
             Diretorio = request.getParameter("Diretorio");
             Indice = request.getParameter("Indice");
             String NomeNovo = request.getParameter("NomeNovo");    
             String IndiceSelecionado = request.getParameter("IndiceSelecionado");         // Obtem o diretorio selecionado

             if (request.getParameter("RenomearDir") != null) {                            // Opcao para renomear diretorios
                 int PosicaoDiretorio = Integer.parseInt(IndiceSelecionado);
                 ftpc.ObtemArquivosDiretorios(Diretorio);
                 Diretorios = ftpc.getDiretorios();                                        // Obtem a lista de Diretorios
                 ContadorDiretorios = ftpc.getContadorDiretorios();                        // Obtem o numero de diretorios do diretorio atual
                 if (PosicaoDiretorio >= 0) {                                              // Verifica se selecionou um diretorio valido
                     if (PosicaoDiretorio < ContadorDiretorios) {                          // p.s.: no formulario ha sempre uma opcao a mais
                         NomeVelho = Diretorios[PosicaoDiretorio].toString();              // Obtem o diretorio selecionado
                         if (!NomeNovo.equals("null")) {                                 
                             File Velho = new File (NomeVelho);
                             NomeNovo = Diretorio + File.separator + NomeNovo;
                             File Novo = new File(NomeNovo);                          
                             Velho.renameTo(Novo);
                         }
                     } else 
                         Erro = 2;                                                         // Selecionou o "." como diretorio(_________
                 } else
                     Erro = 1;                                                             // Nao selecionou diretorio
             } else {
                if (request.getParameter("RenomearArq") != null) {
                    int PosicaoArquivo = Integer.parseInt(IndiceSelecionado);             // Obtem o arquivo selecionado
                    ftpc.ObtemArquivosDiretorios(Diretorio);
                    Arquivos = ftpc.getArquivos();                                        // Obtem a lista de arquivos
                    ContadorArquivos = ftpc.getContadorArquivos();                        // Obtem o numero de arquivos
                    if (PosicaoArquivo >= 0) {                                            // Verifica se selecionou um arquivo valido
                        if (PosicaoArquivo < ContadorArquivos) {                          
                            NomeVelho = Arquivos[PosicaoArquivo].toString();              // Obtem o arquivo selecionado
                            if (!NomeNovo.equals("null")) {                              
                                File Velho = new File (NomeVelho);
                                NomeNovo = Diretorio + File.separator + NomeNovo;
                                File Novo = new File(NomeNovo);                        
                                Velho.renameTo(Novo);
                            }
                        } else 
                            Erro = 5;                                                     // Selecionou o "." como arquivo (_______)
                    } else 
                        Erro = 4;                                                         // Nao selecionou arquivo
                }
            }
            ftpc.ObtemArquivosDiretorios(Diretorio);                                      // Atualiza a lista de diretorios e arquivos
        } else

        /* Identificacao do formulario para arquivos */
        if (IdentificacaoForm.compareTo("FormArquivos") == 0){
            String NomeArquivo = request.getParameter("ListaArquivos");
            Diretorio= request.getParameter("Diretorio");
            Indice= request.getParameter("Indice");
            if (NomeArquivo != null) {
                if (request.getParameter("ApagarArq") != null) {
                    if (!NomeArquivo.equals(".")) {
                        String NomeArquivoApagado = Diretorio + File.separator + NomeArquivo;
                        File Arquivo = new File(NomeArquivoApagado);
                        Arquivo.delete();                                    
                    } else
                        Erro = 5;
                }
            }
            ftpc.ObtemArquivosDiretorios(Diretorio);
        } else

        /* Identificacao do formulario criacao de sub-diretorios */
        if (IdentificacaoForm.compareTo("FormSubDiretorios") == 0){
            String NomeSubDiretorio = request.getParameterValues("SubDiretorio")[0];            // Obtem o nome para o diretorio
            Diretorio = request.getParameterValues("Diretorio")[0];
            Indice = request.getParameterValues("Indice")[0];
            NomeSubDiretorio = Diretorio + File.separator + NomeSubDiretorio;     
            File NovoDiretorio = new File(NomeSubDiretorio);                      
            NovoDiretorio.mkdir();                                                            // Cria um novo diretorio
            ftpc.ObtemArquivosDiretorios(Diretorio);                                          // Atualiza a lista de arquivos e diretorios
        } else

        /* Identificacao do formulario para a selecao do numero de arquivos para upload */
        if (IdentificacaoForm.compareTo("FormSelecaoNumeroArquivos") == 0){
            String Numero = request.getParameterValues("NumeroArquivosSelecao")[0];              // Obtem o valor indicado pelo usuario
            Diretorio = request.getParameterValues("Diretorio")[0];
            Indice = request.getParameterValues("Indice")[0];
            NumeroArquivosSelecao = Integer.parseInt(Numero);                                // Converte o valor (string) para inteiro
            ftpc.ObtemArquivosDiretorios(Diretorio);                                         // Atualiza a lista de arquivos e diretorios
        }
    } // end of if user ok
%>
<HTML>
    <HEAD>
	<TITLE> Upload Manager </TITLE>
<%
    if (NumeroErro == 0) {  // user ok                                                                 // Verifica se nao houve erros de login
        Diretorios = ftpc.getDiretorios();
        Arquivos = ftpc.getArquivos();
        ContadorArquivos = ftpc.getContadorArquivos();
        ContadorDiretorios = ftpc.getContadorDiretorios();
%>
        <script>
             function setCookie(valor) {
                 cookie_name = "ftp";
                 document.cookie=cookie_name+"="+valor+";path=/";
            }
	    function getCookie(name) {
	        var cookie = " " + document.cookie;
		var search = " " + name + "=";
		var setStr = null;
		var offset = 0;
		var end = 0;
		if (cookie.length > 0) {
		   offset = cookie.indexOf(search);
		   if (offset != -1) {
		      offset += search.length;
		      end = cookie.indexOf(";", offset)
		      if (end == -1) {
		         end = cookie.length;
                      }
		      setStr = unescape(cookie.substring(offset, end));
                   }
                }
		return(setStr);
	     }

             function rename() {
                 var temp = prompt("Enter a name to Directory","");
                 return temp;
             }
             function Validate(texto, tipo) {
                 if (elem.value.length == 0) {
                     alert("Missing Username");
                     return false;
                 }
                 
                 carac = 'a';
                 for (cont=0; cont < elem.value.length; cont++) {
                     carac= elem.value.charAt(cont);
                     if (tipo == 'D') {
                         if ((carac<'a' || carac>'z' ) && (carac <'A' || carac>'Z') && (carac<'0' || carac>'9') && (carac!='_' && carac!='-')) {
                             alert("Invalid value.");
                             return false;
                         }
                     } else
                         if ((carac<'a' || carac>'z' ) && (carac <'A' || carac>'Z') && (carac<'0' || carac>'9') && (carac!='_' && carac!='-') &&
                             (caract != '.')) {
                             alert("Invalid value.");
                             return false;
                         }
 
                 }
                 return true;
             }
	</script>
    </HEAD>     

    <BODY LINK=#0000FF VLINK=#FF0000 ALINK=#FF0000 BACKGROUND="gifs/fundo2.gif">
    <FONT FACE="Arial, Helvetica, sans-serif" SIZE="3"><B>Upload Manager</B></FONT>
    <HR>
    <H4><FONT COLOR=#FF0000>Attention: After submit your file, click "Refresh Button" to verify it!</FONT>
<% 
        if (Erro == 1) {
%>
    <H3><FONT COLOR=#000000> Operation Status: </FONT><FONT COLOR=#ff0000> Select a Directory ! </FONT></H3><HR>
<% 
        } else if (Erro == 2) {
%>
    <H3><FONT COLOR=#000000> Operation Status: </FONT><FONT COLOR=#ff0000> This is not a valid directory! </FONT></H3><HR>
<%
        } else if (Erro == 3) {
%>
    <H3><FONT COLOR=#000000> Operation Status: </FONT><FONT COLOR=#ff0000> This is the last level in your directory <FONT></H3><HR>
<%
        } else if (Erro == 4) {
%>
    <H3><FONT COLOR=#000000> Operation Status: </FONT><FONT COLOR=#ff0000> Select a File ! <FONT></H3><HR>
<%
        } else if (Erro == 5) {
%>
    <H3><FONT COLOR=#000000> Operation Status: </FONT><FONT COLOR=#ff0000> This is not a valid file! <FONT></H3><HR>
    
<% 
       }
       String DiretorioVizualizado = Diretorio.substring(Integer.parseInt(Indice),Diretorio.length());
%>
    <BR>
    <TABLE border=1 bgcolor=#dddddd align=center>
         <TR bgcolor="#003399">
	    <TD><B><DIV ALIGN="center"><FONT FACE="Arial, Helvetica, sans-serif" SIZE="3" COLOR =#ffffff> Upload Files </FONT></B></DIV></TD>
      	</TR>
	<TR>
	   <TD>
	       <TABLE>
                   <TR>
                   <TD>This directory is:<FONT COLOR=#0000ff><%=DiretorioVizualizado%></FONT></TD>

                   </TR>
	           <TR>
		       <TD>
		           <TABLE>
			       <TR><TD>Diretories:</TD>
                               </TR>

        	  	       <FORM NAME=Dir METHOD=POST onSubmit="x = null; x= getCookie('ftp');document.Dir.Validade.value=x;" ACTION="/manager_files/ftp.jsp">
  			       <INPUT TYPE=hidden NAME=NomeForm VALUE=FormDiretorios>
			       <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
			       <INPUT TYPE=hidden NAME=Validade VALUE="">
			       <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
			       <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
			       <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
 			       <TR>
				   <TD rowspan=3 colspan=3>			
				      <SELECT NAME=ListaDiretorios SIZE=7>
<%
       // A lista de diretorios e' gerada com base no numero de diretorios de um diretorio especifico
        for(int Contador= 0; Contador < ContadorDiretorios; Contador++) {
%>
                                           <OPTION VALUE=<%=Diretorios[Contador].getName()%>><%=Diretorios[Contador].getName()%>
<%
        }
%> 
     					   <OPTION VALUE=.> ______________________________________________________
				       </SELECT>
				   </TD>
                                   
				   <TD><INPUT TYPE=submit NAME=AcessarDir VALUE="Access Directory"></TD>
			       </TR>
			       <TR>
				   <TD><INPUT TYPE=submit NAME=AtualizDir VALUE="Refresh Directory"><TD>
			       </TR>
			       <TR>
				   <TD><INPUT TYPE=submit NAME=ApagarDir VALUE=" Delete Directory "><TD>
			       </TR>
			       <TR>
				   <TD colspan=2>
				       <INPUT TYPE=submit NAME=UpDir VALUE="  Up One Level ">
				       <INPUT TYPE=submit NAME=UpTopDir VALUE="Up to Top Level">
	                               </FORM>
				  </TD>
                                  <TD></TD>
			           <TD>
 				       <FORM NAME=Ren METHOD="POST" ACTION="/manager_files/ftp.jsp" onSubmit="document.Ren.IndiceSelecionado.value=document.Dir.ListaDiretorios.options.selectedIndex;
							var resp = window.prompt('Enter a new name to directory selected','');
							x=null; x=getCookie('ftp');document.Ren.Validade.value=x; document.Ren.NomeNovo.value = resp;
                                                        return Validate(document.Ren.NomeNovo.value,'D');">
   				       <INPUT TYPE=hidden NAME=NomeForm VALUE=FormRenomear>	
	                               <INPUT TYPE=submit NAME=RenomearDir VALUE="Rename Directory">
				       <INPUT TYPE=hidden NAME=IndiceSelecionado VALUE="">
				       <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
				       <INPUT TYPE=hidden NAME=Validade VALUE="">
				       <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
				       <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
				       <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
				       <INPUT TYPE=hidden NAME=NomeNovo VALUE="">
                                       </FORM>
            			   </TD>
                                </TR>
                                </TR>
                                  <TD>
               	                       <FORM NAME=Sub METHOD=POST onSubmit="x = null; x= getCookie('ftp');document.Sub.Validade.value=x; 
        						var resp = window.prompt('Enter with a name to new directory:','');
                                                        document.Sub.SubDiretorio.value = resp;
							return Validate(resp,'D');
                                                        "ACTION="/manager_files/ftp.jsp">
    		                           <INPUT TYPE=hidden NAME=NomeForm VALUE=FormSubDiretorios>
                             		   <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
                         		   <INPUT TYPE=hidden NAME=Validade VALUE="">
                        		   <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
                        		   <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
                        		   <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
                        		   <INPUT TYPE=hidden NAME=SubDiretorio VALUE="">    		    	   

                    		           <INPUT TYPE=submit NAME=SubDiretorioSubmit VALUE="New Sub-Directory">
       				       </FORM>

				   </TD>

			       </TR>
                               <TR>

                               </TR>
                           </TABLE>
		       </TD>
		   </TR>
		   <TR>
		       <TD>
			   <TABLE>
			       <FORM NAME=Arq METHOD=POST onSubmit="x = null; x= getCookie('ftp');document.Arq.Validade.value=x;" ACTION="/manager_files/ftp.jsp">
			       <INPUT TYPE=hidden NAME=NomeForm VALUE=FormArquivos>
			       <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
			       <INPUT TYPE=hidden NAME=Validade VALUE="">
			       <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
			       <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
			       <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
  			       <TR>
				   <TD>Files:</TD>
  			       </TR>
			       <TR>
				   <TD rowspan=2 >
				       <SELECT NAME=ListaArquivos SIZE=7>	
<%
       // A lista de arquivos e' gerada com base no numero de arquivos de um diretorio especifico
        for(int Contador= 0; Contador < ContadorArquivos; Contador++) {
%>
                                           <OPTION VALUE=<%=Arquivos[Contador].getName()%>><%=Arquivos[Contador].getName()%>
<%
        }
%> 
	        			   <OPTION VALUE=.> ______________________________________________________
				       </SELECT>
				   </TD> 
				   <TD><DIV ALIGN="center">
				       <INPUT TYPE=submit NAME=ApagarArq VALUE="      Delete File     ">
                                       </DIV>
                                   </TD>
				   </FORM>
			       </TR>
			       <TR>
			           <TD>
				       <FORM NAME=RenArq METHOD="POST" ACTION="/manager_files/ftp.jsp" onSubmit="document.RenArq.IndiceSelecionado.value=document.Arq.ListaArquivos.options.selectedIndex;
								var resp = window.prompt('Enter a new name to file selected','');
								x=null; x=getCookie('ftp');document.RenArq.Validade.value=x; document.RenArq.NomeNovo.value = resp; 
                                                                return Validate(document.RenArq.NomeNovo.value,'A');">
				       <INPUT TYPE=hidden NAME=NomeForm VALUE=FormRenomear>	
                                       <DIV ALIGN="center">
				       <INPUT TYPE=submit NAME=RenomearArq VALUE="     Rename File    ">
                                       </DIV>
				       <INPUT TYPE=hidden NAME=IndiceSelecionado VALUE="">
				       <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
				       <INPUT TYPE=hidden NAME=Validade VALUE="">
				       <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
				       <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
				       <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
				       <INPUT TYPE=hidden NAME=NomeNovo VALUE=null>
                                       </FORM>
				   </TD>
			       </TR>
 			   </TABLE>
		       </TD>
		   </TR>
	       </TABLE>
	       <TABLE>
	       </TABLE>
	   </TD>
       </TR>
   </TABLE>
   <BR>
   <TABLE border=1 bgcolor=#dddddd align=center>
       <TR bgcolor="#003399">
           <TD><B><DIV ALIGN="center"><FONT FACE="Arial, Helvetica, sans-serif" SIZE="4" COLOR =#ffffff> Upload </FONT></B></DIV></TD>
       </TR>
       <TR>
	   <TD>
	       <TABLE border=0>
	           <FORM NAME=Sel METHOD=POST onSubmit="x = null; x= getCookie('ftp');document.Sel.Validade.value=x;" ACTION="/manager_files/ftp.jsp">
		   <INPUT TYPE=hidden NAME=NomeForm VALUE=FormSelecaoNumeroArquivos>
		   <INPUT TYPE=hidden NAME=NomeUsuario VALUE=<%=NomeUsuario%>>
		   <INPUT TYPE=hidden NAME=Validade VALUE="">
		   <INPUT TYPE=hidden NAME=Curso VALUE=<%=NomeCurso%>>
		   <INPUT TYPE=hidden NAME=Diretorio VALUE=<%=Diretorio%>>
		   <INPUT TYPE=hidden NAME=Indice VALUE=<%=Indice%>>
  		   <TR>
		       <TD>Number of Files  
                           <SELECT NAME=NumeroArquivosSelecao>
	   	               <OPTION SELECTED VALUE=1>1
			       <OPTION VALUE=2>2
			       <OPTION VALUE=3>3
			       <OPTION VALUE=4>4
			       <OPTION VALUE=5>5
			       <OPTION VALUE=6>6
			       <OPTION VALUE=7>7
			       <OPTION VALUE=8>8
			       <OPTION VALUE=9>9
			       <OPTION VALUE=10>10
			   </SELECT>
		       </TD>
		       <TD><INPUT TYPE=submit NAME=Configurar VALUE=Configure></TD>
		   </TR>
		   </FORM>
	       </TABLE>
               <BR>
	       Target: 
	           <FONT COLOR=#0000ff><%=DiretorioVizualizado%></FONT>
               
	       <FORM ENCTYPE="multipart/form-data" METHOD=POST ACTION="<%= agents.ContactStudent.WEBMODULE_DIR%>/UploadServlet" TARGET="result"
                   OnSubmit="window.open('','result','width=400,height=250');">
	           <INPUT TYPE=hidden NAME=DiretorioDestino Value=<%=Diretorio%>>
	       <TABLE>
<%
        int Contador=0; 
        while (Contador < NumeroArquivosSelecao) {
%>
       <TR><TD><INPUT TYPE=file NAME=userfile SIZE=37></TD>
<%
            Contador++;
            if (Contador < NumeroArquivosSelecao) {
%>
           <TD><INPUT TYPE=file NAME=userfile SIZE=37></TD></TR>
<%
                Contador++;
            } else {
%>   
           </TR>
<%
            }
        }
%>
	       </TABLE>
	       <INPUT TYPE=submit NAME=Enviar VALUE= "Submit Files">
	       <INPUT TYPE=reset NAME=Refazer VALUE="Reset">
               </FORM>
            </TD>
       	   </TR>
       </TABLE> 
       <CENTER>
       <FORM>
       <INPUT TYPE=button NAME=Fechar VALUE="     Exit   " onClick="window.close();">
       </FORM>
       <CENTER>
   </BODY>
<%
    } else {       // else para if (NumeroErro == 0); 
%>
   </HEAD>
   <BODY BACKGROUND="gifs/fundo2.gif">
   <FONT FACE="Arial, Helvetica, sans-serif" SIZE="3"><B>Upload Manager</B></FONT>
   <HR>
   <CENTER>
   <BR><BR>
   <H3>
<%
        if (NumeroErro == 3) {
%>
   Sorry, you can't access this page. 
<%
        } else if (NumeroErro == 4) {
%>
   Sorry,but an error ocurred when you are trying access the Upload Manager. Please try again!
<%
        } else if (NumeroErro ==6) {
%>
   Sorry, but the time for this directory is expired!
<%
        }
%>
   </H3>
   <BR><BR>
   <FORM>
   <INPUT TYPE=button NAME=Fechar VALUE="     Exit   " onClick="window.close();">
   </FORM>
   </CENTER>
   </BODY>
<%
    }
%>
</HTML>
