/******************************************************************************/
/* Mobile Views 1.0 - Mobile View System                                      */
/*                                                                            */
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira.     */
/*                                                                            */
/* This library is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU Lesser General Public                 */
/* License as published by the Free Software Foundation; either               */
/* version 2.1 of the License, or (at your option) any later version.         */
/*                                                                            */
/* This library is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          */
/* Lesser General Public License for more details.                            */
/*                                                                            */
/* You should have received a copy of the GNU Lesser General Public           */
/* License along with this library; if not, write to the Free Software        */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                            */
/* Contact:                                                                   */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org       */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668,        */
/*                   So Carlos,So Paulo                                     */
/*                   Brasil CEP 13560-970                                     */
/******************************************************************************/

package agents.util;

import java.lang.*;
import java.util.Vector;
import java.sql.*;
import agents.sql.*;
import agents.agent.Defaults;

/**Class for sendding e-maisl for groups
 */
public class SendEmails implements Runnable {
    Vector users;
    String database;
    String bodyToUser;
    String subject;
    String sender;
    int numberUsers;
    
    /** Creates a new instance of SendEmails */
    public SendEmails(String database, Vector vectorUsers, String message, String subject, String sender) {
        numberUsers = vectorUsers.size();
        users = new Vector();
        users = vectorUsers;
        bodyToUser = message;
        this.database = database;
        this.sender = sender;
        this.subject = subject;
    }
    
    /** Run the action.*/
    public void run(){
        ResultSet rs;
        CourseEmail courseEmail;
        try {
            SQLDatabase sql = new SQLDatabase();
            sql.init(database);
            bodyToUser = bodyToUser + "\n" + "___________________________________________________" + "\n" +
            "You may receive multiple copies of this message. We apologise this inconvenience!";
            for (int i=0; i< numberUsers; i++) {
                rs = sql.executeQuery("SELECT email FROM users WHERE username='" + users.elementAt(i) + "'");
                rs.next();
                courseEmail = new CourseEmail(rs.getString(1));
                courseEmail.envia(Defaults.FROM, Defaults.HOST, subject, bodyToUser);
            }
            sql.close();
        } catch (Exception e) {
            bodyToUser = "Error sending your news. Please send it again!\n";
            courseEmail = new CourseEmail(sender);
            courseEmail.envia(Defaults.FROM, Defaults.HOST, subject, bodyToUser);
        }
    }
}
