<!--
/******************************************************************************************************************/
/* WebCoM 1.0 - Web Course Manager                                                                                */
/*                                                                                                                */ 
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira. All rights reserved.                    */   
/*                                                                                                                */   
/* WebCoM is free software; you can redistribute it and/or modify it under the terms of the GNU General           */
/* Public License as published by the Free Software Foundation; either version 2 of the License, or any later     */
/* version.                                                                                                       */
/*                                                                                                                */
/* WebCoM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the           */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License    */
/* for more details.                                                                                              */
/*                                                                                                                */
/* You should have received a copy of the GNU General Public License along with this program; if not, write to    */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                   */
/*                                                                                                                */
/* Contact:                                                                                                       */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org                                           */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668, So Carlos,So Paulo - Brasil CEP 13560-970*/                                                                                 
/******************************************************************************************************************/
-->
<HTML>
<HEAD>
  <TITLE>Accept Candidate</TITLE>
  <META NAME="Author" CONTENT="Dilvan de Abreu Moreira">
</HEAD>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="agents.sql.*" %>
<%@ page import="agents.agent.*" %>
<%@ page import="agents.util.*" %>
<%@ page import="course.util.*" %>

<%
    String database = request.getParameter("database"); 
    String idClass = request.getParameter("classes");
  
    StringTokenizer analex = new StringTokenizer(idClass);
    String token = analex.nextToken();
    int classSelected = 0;
    try {
      classSelected = Integer.parseInt(analex.nextToken());
    } catch (Exception e) {}

%>
<BODY background="gifs/fundo2.gif">
<FONT FACE="Arial" SIZE="3"><B>Accept Candidates</B></FONT>
<HR>
<BR><BR>
<CENTER>
    <%
    Vector candidateAccepted[];
    Vector candidateDeleted;
    Vector reports = new Vector();
    Vector tests = new Vector();
    int counter;
    int candidates;
    ResultSet rs,rs1;
    boolean error = false;
    String courseName = null;
    String directory = null;
    String instruction;
    String idStudentAux;
    CourseEmail email;

    SQLDatabase sql = new SQLDatabase();
    sql.init(database);

    // count the max number of candidates that can be accepted
    rs = sql.executeQuery("SELECT COUNT(*) FROM candidates WHERE accepted='n'");
    rs.next();
    counter = rs.getInt(1);

    candidateDeleted = new Vector();
    candidateAccepted = new Vector[counter];
    for (int count=0;count<counter;count++) 
        candidateAccepted[count] = new Vector();
   
    // get each accepted candidate and yours numbers 
    candidates = 0;
    String accept;
    rs = sql.executeQuery("SELECT username FROM candidates WHERE accepted='n' ORDER BY username");
    for (int count=0;rs.next();count++) {
        try {
            accept = request.getParameter(rs.getString(1)); // operation A - accept D - delete I - ignore
            if (accept.equals("A")) {  // candidate accepted
                candidateAccepted[candidates].addElement(rs.getString(1)); // username
                candidateAccepted[candidates].addElement(request.getParameter("email_" + rs.getString(1)));
                idStudentAux = request.getParameter("idNumber_"+ candidateAccepted[candidates].elementAt(0));
                if (idStudentAux.equals(""))  // if the candidate don't have number
                    candidateAccepted[candidates].addElement("0");
                else 
                    candidateAccepted[candidates].addElement(idStudentAux);
                candidates++;
            } else if (accept.equals("D")) {
                       candidateDeleted.addElement(rs.getString(1));
                   }
        }catch (Exception e) {}
    } // end for

    for (int count=0; count<candidates;count++) {
        rs1 = sql.executeQuery("SELECT username,id FROM students WHERE class=" + classSelected + " AND (username='" +
        candidateAccepted[count].elementAt(0) + "' OR id='" + candidateAccepted[count].elementAt(2) + "')" );
        if (rs1.next()) {
            error = true;
            %>
            <H3>
            The number "<font color="#ff0000"><%=candidateAccepted[count].elementAt(2)%></font>" or the username 
            "<font color="#ff0000"><%=candidateAccepted[count].elementAt(0)%></font>" already is used. <BR>
            Please, select another.
            </H3>
    <%
            count = candidates + 1;
        }
    }
    sql.close();

    // Verify if the usernames or emails already exists
    if (!error) {
        sql.init(Defaults.WEBCOMDATABASE);
        for (int count=0; count<candidates;count++) {
            rs1 = sql.executeQuery("SELECT username,email FROM users WHERE username='" + candidateAccepted[count].elementAt(0) + 
                                   "' OR email='" + candidateAccepted[count].elementAt(1) + "'");
            if (rs1.next()) {
                // if was found a username or email in users, then test if they are diferent
                if (rs1.getString(1).equals(candidateAccepted[count].elementAt(0)) && 
                    rs1.getString(2).equals(candidateAccepted[count].elementAt(1))) 
                    candidateAccepted[count].addElement("Other Course"); // if candidate already is student of other course
                else {
                    %>
                    <H3>
                    The username "<font color="#ff0000"><%=candidateAccepted[count].elementAt(0)%></font>" or the email
                   "<font color="#ff0000"><%=candidateAccepted[count].elementAt(1)%></font>" already is used. 
                    </H3>
    <%
                    error = true;
                } 
            } else
                candidateAccepted[count].addElement("No");
        }
        sql.close();
    }

    if ((!error) && (candidates > 0)){ 
         instruction = "SELECT username,last_name, first_name, middle_names, email, homepage FROM candidates WHERE" +
                       " accepted='n' AND username='";
         int lengthInstruction = instruction.length();

         String emailStudent, usernameStudent, passwordStudent, idStudent;
         for (int count =0; count < candidates; count++) {
             if (!candidateAccepted[count].elementAt(3).equals("Other Course")) {
                 if (count == candidates-1) // the last candidate
                     instruction = instruction + candidateAccepted[count].elementAt(0) + "'";                     
                 else
                     instruction = instruction + candidateAccepted[count].elementAt(0) + "' OR username='";                     
             } 
         }
  
         //if there is new candidates, then execute the instruction to select the information about the candidates
         if (instruction.length() > lengthInstruction) {
             sql.init(database);
            rs = sql.executeQuery(instruction); // get the information about each candidate that are not in other course
             sql.close();
         }

         java.util.Date date = new java.util.Date();
         sql.init(Defaults.WEBCOMDATABASE);
         for (;rs.next();) {
             sql.executeUpdate("INSERT INTO users VALUES('" + rs.getString(1) + "','" + rs.getString(1) + date.getHours() + 
                               "','student','" + rs.getString(2) + "','" + rs.getString(3) + "','" + 
                               rs.getString(4) + "','" + rs.getString(5) + "','" + rs.getString(6) + "',CURDATE(),'','')");
         }

         // get the basic directory and name of the course
         rs = sql.executeQuery("SELECT course_name, directory FROM basic_info WHERE database_name='" + database + "'");
 	 rs.next();
         courseName = rs.getString(1);
	 directory = rs.getString(2);  
         sql.close();
          
         sql.init(database);
         // select the activities from course database         
         rs = sql.executeQuery("SELECT id FROM reports WHERE class='" + classSelected + "'");
         for(;rs.next();) 
             reports.addElement(rs.getString(1));

         rs = sql.executeQuery("SELECT id FROM tests WHERE class='" + classSelected + "'");
         for(;rs.next();)
             tests.addElement(rs.getString(1));

         // insert the student in the course, activities and directories
         for (int count=0; count < candidates; count++) { 
             sql.executeUpdate("UPDATE candidates SET accepted='s' WHERE username='" + (String) candidateAccepted[count].elementAt(0) + "'");
             sql.executeUpdate("INSERT INTO students VALUES('" + (String) candidateAccepted[count].elementAt(0) + "','" + 
                                (String) candidateAccepted[count].elementAt(2) + "','" + classSelected + "')");
 
             for (int id=0; id < reports.size(); id++) 
	         sql.executeUpdate("INSERT INTO activities VALUES('" + (String) candidateAccepted[count].elementAt(0) + "', 'reports', " +
                                    reports.elementAt(id) + ", '', 0,'" + classSelected + "')");

             for (int id=0; id < reports.size(); id++) {
                 UtilFunctions.createDirectoriesStudent(directory, Integer.parseInt((String) reports.elementAt(id)), 
                                                        (String) candidateAccepted[count].elementAt(0),classSelected);
             }

             for(int id=0;id < tests.size();id++) 
	         sql.executeUpdate("INSERT INTO activities VALUES('" + (String) candidateAccepted[count].elementAt(0) + "', 'tests', " + 
                                   tests.elementAt(id) + ", '', 0,'" + classSelected + "')");
          }
          sql.close();

          sql.init(Defaults.WEBCOMDATABASE);
          for (int count=0; count < candidates;count++) {
              usernameStudent = (String) candidateAccepted[count].elementAt(0);
              emailStudent = (String) candidateAccepted[count].elementAt(1);
              idStudent = (String) candidateAccepted[count].elementAt(2);

              if (candidateAccepted[count].elementAt(3).equals("Other Course")) {
                  rs = sql.executeQuery("SELECT password FROM users WHERE username='" + usernameStudent +"'");
                  rs.next();
                  passwordStudent=rs.getString(1);
              } else 
                  passwordStudent= (String) candidateAccepted[count].elementAt(0) + date.getHours();
              try {
                 email = new CourseEmail(emailStudent);
                 email.envia(Defaults.FROM, Defaults.HOST, "Course Manager",
                            "Message from Course Administrator: \n\n" + 
                            "Welcome! You were accepted in the " + courseName + " course.\n" +
                            "Your information:\n" + 
                            "    username = " + usernameStudent +"\n" + 
                            "    password = " + passwordStudent +"\n" +
                            "    Identification number = " + idStudent +"\n" +
                            "    Class = " + classSelected + "\n" +
                            "Please, read the Calendar page for information about the course,\n" +
                            "and DO CHANGE YOUR PASSWORD.\n" +
                            "Any problem, please contact the administrator or monitor and try to describe your problem in detail.\n" +
                            "Good luck in your course !\n" +
                            "___________________________________________\n" + 
                            "Do not reply this message.");

	     }catch (Exception e) {System.out.println("erro no email=" + emailStudent);};            
         }
         sql.close();
    }

    // delete selected candidates
    if (candidateDeleted.size() > 0) {
        sql.init(database);
        for(int i=0; i < candidateDeleted.size(); i++ )
            sql.executeUpdate("DELETE FROM candidates WHERE username='"+ candidateDeleted.elementAt(i) + "'");
        sql.close();
    }

    if (!error) {
    %>
     <H3>
     <%=candidates%> candidates were accepted and included in course database.<BR><BR>
     <%=candidateDeleted.size()%> candidates were deleted.<BR>
     </H3>
    <%
    }
%>
  <FORM>
    <INPUT TYPE=button NAME=Fechar VALUE="    Exit    " onClick="window.close();">
    </FORM>
</CENTER>
</BODY>
</HTML>
