<!--
/******************************************************************************************************************/
/* WebCoM 1.0 - Web Course Manager                                                                                */
/*                                                                                                                */ 
/* Copyright (C) 2002 Elaine Quintino da Silva & Dilvan de Abreu Moreira. All rights reserved.                    */   
/*                                                                                                                */   
/* WebCoM is free software; you can redistribute it and/or modify it under the terms of the GNU General           */
/* Public License as published by the Free Software Foundation; either version 2 of the License, or any later     */
/* version.                                                                                                       */
/*                                                                                                                */
/* WebCoM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the           */
/* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License    */
/* for more details.                                                                                              */
/*                                                                                                                */
/* You should have received a copy of the GNU General Public License along with this program; if not, write to    */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                   */
/*                                                                                                                */
/* Contact:                                                                                                       */
/*       Eletronic mail: elainesilva@zipmail.com or dilvan@computer.org                                           */
/*       Paper mail: Av. trabalahdor So Carlense, 400 Cx. Postal 668, So Carlos,So Paulo - Brasil CEP 13560-970*/                                                                                 
/******************************************************************************************************************/
-->

<%@ page import="java.sql.*" %>
<%@ page import="agents.sql.*" %>
<%@ page import="agents.agent.Defaults"%>
<%
    SQLDatabase sql = new SQLDatabase();
    ResultSet rs;
    String group = request.getParameter("group"); 
    String course_name = request.getParameter("course_name"); 
    String reply = request.getParameter("reply");
%>
<HTML>
<HEAD>
  <TITLE>Post an Article</TITLE>
</HEAD>
<SCRIPT LANGUAGE=JavaScript1.1>
   function error(elem, text) {
      window.alert(text);
      elem.select();
      elem.focus();
   }
   function validateName(elem) {
      if (elem.value.length > 32) {
         error(elem, elem.name + " should be smaller than 32 characters.");
         elem.value=""; 
         return false;
      }
      if (elem.value.length <1) {
         error(elem, elem.name + " should have at least one character.");
         return false;
      }
      return true;
   }
   function validateBody(elem) { 
      if (elem.value.indexOf('\'',0)!=-1) {
         error(elem, elem.name + " can't use the character ' , sorry.");
         return false;
      }
      if (elem.value.length > 2050) {
         error(elem, elem.name + " should be smaller than 2050 characters.");
         return false;
      }
      if (elem.value.length <1) {
         error(elem, elem.name + " should have at least one character.");
         return false;
      }
      return true;
   }
   function validateEmail(elem) {
      if (!validateName(elem)) return false;
      if (elem.value.indexOf(' ', 0) == -1 &&
          elem.value.indexOf('@', 0) != -1 &&
          elem.value.length != 0) {
         elem.value= elem.value.toLowerCase();
         return true;
      }
      error(elem, elem.name + ": e-mail format wrong.");
      elem.value=""; 
      return false;
   }
   function JSClock() {
          var time = new Date()
          var hour = time.getHours()
          var minute = time.getMinutes()
          var second = time.getSeconds()
          var year = time.getYear()
          var month = time.getMonth() + 1
          var day = time.getDate()
          var temp = ((day < 10) ? "0" : "") + day
          temp += ((month < 10) ? "/0" : "/") + month
          temp += "/" + year
          document.form.date.value = temp

          temp = ((hour < 10) ? "0" : "") + hour
          temp += ((minute < 10) ? ":0" : ":") + minute
          temp += ((second < 10) ? ":0" : ":") + second
          document.form.time.value = temp
          id = setTimeout("JSClock()",1000)
   }

   // main validate function
   function Validate() {
      if (!validateName(document.form.subject)) return false;
      if (!validateName(document.form.name)) return false;
      if (!validateEmail(document.form.email)) return false;
      if (!validateBody(document.form.body)) return false;
      return true;
   }
</SCRIPT>

<!BODY ONLOAD="JSClock()">
<BODY background="gifs/fundo2.gif">
<FONT FACE="Arial" SIZE="3"><B>Post an Article to: <FONT COLOR="#0000FF"><%=course_name%></FONT></B></FONT> 
<HR>
<FORM NAME=form METHOD=POST ACTION="/manager_files/send_article.jsp" OnSubmit="return Validate();">
<INPUT NAME="group" TYPE=hidden VALUE="<%=group%>">
<INPUT NAME="course_name" TYPE=hidden VALUE="<%=course_name%>">
  <TABLE BORDER=0 width="80%" height="371" align="center" >
    <TR> 
      <TD width="10%"> <b><font face="Arial" size="2">Subject:</font></b></TD>
      <TD width="90%"> 
        <div align="left"><input name="subject" type=text size=32 maxlength=32 value="<%=reply%>" onChange="validateName(document.form.subject);"></div>
      </TD>
    </TR>
    <TR> 
      <TD width="10%"> <b><font face="Arial" size="2">Username:</font></b></TD>
      <TD width="90%"> 
        <div align="left"><INPUT NAME="name" TYPE=text SIZE=32 MAXLENGTH=32 OnChange="validateName(document.form.name);"></div>
      </TD>
    </TR>
    <TR> 
      <TD width="10%"> <b><font face="Arial" size="2">E-mail:</font></b></TD>
      <TD width="90%"> 
        <div align="left"><INPUT NAME="email" TYPE=text SIZE=32 MAXLENGTH=32 OnChange="validateEmail(document.form.email);"></div>
      </TD>
    </TR>
    <TR> 
      <TD colspan="2" height="287"> 
      <div align="center"><font face="Arial" size="1">Write your message here<font color="#FF0000"><i>(max. 
          2500 characteres including spaces)</i></font></font>
          <textarea name="body" rows=15 cols=60 onChange="validateBody(document.form.body);" wrap="virtual"></textarea>
        </div>
      </TD>
    </TR>
  </TABLE>
  <TABLE align="center">
    <TD><INPUT TYPE=submit VALUE=" Post It "></TD>
    <TD><INPUT TYPE=reset VALUE= " Clear Form "></TD>
    <TD><INPUT TYPE=button VALUE="  Exit  " OnClick="window.close()"></TD>
  </TABLE>
</FORM>
</BODY>
</HTML>
