<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="agents.sql.*" %>
<%@ page import="agents.agent.*" %>

<head>
<title> Students and Grades
</title></head>

<SCRIPT LANGUAGE="JavaScript">

    var grade_step = new Array(0);
    var students= new Array(0);
    var reports= new Array(0);
    var assignments= new Array(0);
    var tests= new Array(0);
    var tests_date = new Array(0);
    var reports_date = new Array(0);

    indexTests = 0;
    // index of tests_date vector
    indexReports = 0;
    // index of reports_date vector

    ns=0;
    // index of the students vector   
    numberGradesSteps = 0;
    // counter of the grades number   
    basic_dir= "";
    // path of the basic directory of the course
    reports_number= 0;
    assignments_number= 0;
    tests_number= 0;
    assignment_total_weight = 0;  // addition of the assignments weight

    wAssignment = 0;   // assignment general weight 
    wReport = 0;       // report general weight
    wTest = 0;         // test general weight

    average = 0;
    // value of the aritmetic average   conc = "";
    // concept (grade_step)
    // Function to set the basic directory of the course
    function set_basic_dir(name) {
        basic_dir= name;
    }

    // Function to set the number of reports
    function set_reports_number(num) {
        reports_number= num;
    }
 
    // Function to set the number of assignments
    function set_assignments_number_weight(num, assignment_weight) {
        assignments_number= num;
        assignment_total_weight = assignment_weight;
    }

    // Function to set the number of tests
    function set_tests_number(num) {
        tests_number= num;
    }

    // Function to set the weight to the assignments
    function set_weight_assignment(num) { 
        wAssignment= num; 
    } 

    // Function to set the weight to the reports
    function set_weight_report(num) { 
        wReport= num; 
    } 

    // Function to set the weight to the tests
    function set_weight_test(num) { 
        wTest= num; 
    } 

    // Function to set the grade_step vector and the number of grades
    function create_grade_step(name, limit) {
        grade_step[numberGradesSteps] = new Array(name,limit);
        numberGradesSteps++;
    }

    // Function to set the value of the aritmetic average
    function set_average(num) {
        average = num;
    }
   
    // Function to set the tests_date vector
    function set_tests_date(id, date) {
        tests_date[indexTests] = new Array(id,date);
        indexTests++;
    }

    // Function to set the reports_date vector   
    function set_reports_date(id, date) {
        reports_date[indexReports] = new Array(id,date);
        indexReports++;
    }

    // Function to set students vector   
    function create_student(username, email, homepage) {
        reports[username]= new Array(0);
        tests[username] = new Array(0); 
        assignments[username]= new Array(0);

        // for each student, create a new array to each assignment
        for (aux1=1; aux1<assignments_number; aux1++) {
            assignments[username][aux1] = new Array (0, 0, "");
        }

        if (homepage != "")
            students[ns]= new Array(username, 
                "<TR ALIGN=CENTER VALIGN=CENTER BGCOLOR=#e0e0ff>"+
                "<TD><A HREF=\"mailto:" + email + "\">" + username + "</A></TD>" +
                "<TD>&nbsp;<A HREF=\"" + homepage + "\"><IMG SRC=\"gifs/www1.gif\" Border=0></A></TD>"
            );
        else 
            students[ns]= new Array(username,
                "<TR ALIGN=CENTER VALIGN=CENTER BGCOLOR=#e0e0ff>"+
                "<TD><A HREF=\"mailto:" + email + "\">" + username + "</A></TD>" +
                "<TD>&nbsp;</TD>"
            ); 
        ns= ns +1;
    }

    // Function to set the reports vector to each student
    function create_report(username, id, grade, w_report, classId) {
        // set the grade, weigth_report and html code to each student to each report
        reports[username][id]= new Array( grade, w_report, 
            "<A HREF=\"" + basic_dir + "/homework/" + classId + "/reports/" + id + "/" + username + "/\" >" +
            "Report" + id + "</A> &nbsp; " + grade + "<BR>");
    }

    // Function to set the assignments vector to each student
    function create_assignment(username, id, grade, groupname, w_assignment, classId) {
        // set the grade, weigth_assignment and html code to each student to each assignment
        assignments[username][id]=  new Array (grade,w_assignment, 
            "<A HREF=\"" + basic_dir + "/homework/" + classId + "/assignments/" + id + "/" + groupname + "/\" >" +
            "Assignment" + id + "</A> &nbsp;" +
            "<A HREF=\"" + basic_dir + "/homework/" + classId + "/reviews/" + id + "/" + groupname + "/\" >" +
            "review</A> &nbsp;" + grade + "<BR>");
    }

    // Function to set the tests vector to each student
    function create_test(username, id, grade, w_test) {
        // set the grade, weigth_test and html code to each student to each test
        tests[username][id]=  new Array(grade,w_test, 
            "Test" + id + " &nbsp; " + grade + "<BR>");
    }

    // Function to show the vectors in the page
    function print_students() {
        // if there are tests to show the id and date in the top of the page
        if (tests_number > 0) {
            document.write(
                "<TABLE CELLPADDING=6 BGCOLOR=\"#EEEEFF\">" +
                "<TR ALIGN=CENTER VALIGN=CENTER BGCOLOR=\"#d0d0d0\"><TD bgcolor=#ffffff><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tests(y/m/d):</B></TD>");

            // write the id of the tests
            for (aux1=0; aux1 <tests_date.length;aux1++) {
                document.write("<TD>" + tests_date[aux1][0] + "</TD>");
            }
            document.write("</TR><TR><TD></TD>");

            // write the date of the tests
            for (aux1=0; aux1 <tests_date.length;aux1++) {
                document.write("<TD>" + tests_date[aux1][1] + "</TD>");
            }
        }
        document.write("</TR></TABLE>");

        // if there are reports to show the id and date in the top of the page
        if (reports_number > 0) {
            document.write(
                "<TABLE CELLPADDING=6 BGCOLOR=\"#EEEEFF\">" +
                "<TR ALIGN=CENTER VALIGN=CENTER BGCOLOR=\"#d0d0d0\"><TD bgcolor=#ffffff><B>Reports (y/m/d):</B></TD>");

            // write the id of the reports
            for (aux1=0; aux1 <reports_date.length;aux1++) {
                document.write("<TD>" + reports_date[aux1][0] + "</TD>");
            }
            document.write("</TR><TR><TD></TD>");

            // write the id of the reports
            for (aux1=0; aux1 <reports_date.length;aux1++) {
                document.write("<TD>" + reports_date[aux1][1] + "</TD>");
            }
        }
        document.write("</TR></TABLE><BR><BR>");

        document.write(
            "<TABLE CELLPADDING=6 BGCOLOR=\"#EEEEFF\">" +
            "<TR ALIGN=CENTER VALIGN=CENTER BGCOLOR=\"#d0d0d0\" >" +
            "<TD><B>Student</B></TD> <TD><B>Homepage</B></TD>");

        // write reports in the top of the table
        if (reports_number>0) {
            document.write("<TD><B>&nbsp;&nbsp;&nbsp;&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;</B></TD>");
        }
        // write assignments in the top of the table 
        if (assignments_number>0) {
            document.write("<TD><B>&nbsp;&nbsp;Assignments&nbsp;&nbsp;</B></TD>");      
        }       
        // write tests in the top of the table 
        if (tests_number>0) {
            document.write("<TD><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tests&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</B></TD>");
        }

        document.write("<TD><B>Final Grade</B></TD>");
        document.write("</FONT></TR>");

        // write the students, grades, works in the table
        for (aux1=0; aux1<students.length; aux1++) {
            document.write(students[aux1][1]);
            // write the html code to each student(e-mail and homepage)
            user= students[aux1][0];
            // set the variable to the username of the student         
            var average_report = 0.0;
            var average_assignment = 0.0;
            var average_test = 0.0;
            countTypeActivities = 0;

            // if there are reports
            if (reports_number > 0) {

                grade=0; 
                weight_activity = 0; 
                document.write("<TD>");
                for (aux2 = 1; aux2<reports[user].length; aux2++) {
                    grade = grade + (reports[user][aux2][0]*reports[user][aux2][1]); // grade of the activity * weigth of the activity of the student
                    weight_activity = weight_activity + reports[user][aux2][1];  // add the weigth  
                    document.writeln(reports[user][aux2][2]);
                }
                average_report = Math.round((grade * 10)/weight_activity) / 10; // average of the reports
                document.write("<I>Average&nbsp;grade:</I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; " + average_report);
                document.writeln("</TD>");
                countTypeActivities++; // count the types of activities to aritmetic average
            }

            // if there are assignments
            if (assignments_number>0) {
                grade = 0;
                //weight_activity = 0; 
                document.write("<TD>");

                for (aux2 = 1; aux2<assignments[user].length; aux2++) {
                    grade = grade +  (assignments[user][aux2][0]*assignments[user][aux2][1]);
                    //weight_activity = weight_activity + assignments[user][aux2][1];
                    if (assignments[user][aux2][2] != "") // if the student have group to assignment
                        document.writeln(assignments[user][aux2][2]);
                }
                //average_assignment = Math.round((grade * 10)/weight_activity) / 10; // average of the assignments
                average_assignment = Math.round((grade * 10)/assignment_total_weight) / 10; // average of the assignments
                document.write("<I>Average&nbsp;grade:</I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; " + average_assignment);
                document.writeln("</TD>");
                countTypeActivities++; // count the types of activities to aritmetic average
            }

            // if there are tests
            if (tests_number>0) {
                grade = 0;
                weight_activity = 0; 

                document.write("<TD>");
                for (aux2 = 1; aux2<tests[user].length; aux2++) {
                    grade = grade + (tests[user][aux2][0]*tests[user][aux2][1]);
                    weight_activity = weight_activity + tests[user][aux2][1];
                    document.writeln(tests[user][aux2][2]);
                }
                average_test = Math.round((grade * 10)/weight_activity) / 10; // average of the tests
                document.write("<I>Average&nbsp;grade:</I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; " + average_test);
                document.writeln("</TD>");
                countTypeActivities++; // count the types of activities to aritmetic average
            }

            // get the final grade
            var averageActivities = 0;
            var wActivities = 0;
            if (assignments_number > 0) 
                averageActivities = averageActivities + (average_assignment * wAssignment);
            if (reports_number > 0) 
                averageActivities = averageActivities + (average_report * wReport);
            if (tests_number > 0) 
                averageActivities = averageActivities + (average_test * wTest);
            wActivities = wAssignment + wReport + wTest;

            final_grade = Math.round(((averageActivities) * 10.0) / wActivities) / 10.0; 

            if (average > 0) {
                // Evaluation in aritmetic average
                if (final_grade >= average)
                    document.write("<TD><FONT COLOR=\"#0000FF\"><B> " + final_grade + "&nbsp;</B><I>Aprovado</I></FONT></TD>");
                else
                    document.write("<TD><FONT COLOR=\"#FF0000\"><B> " + final_grade + "&nbsp;</B><I>Reprovado</I></FONT></TD>");
            } else {
                // Evaluation in grade_steps
                counterGrades = numberGradesSteps - 1;
                ok = 1;
                while((counterGrades >= 0) && (ok == 1)) {
                    if (final_grade >= grade_step[counterGrades][1]) {
                        conc = grade_step[counterGrades][0];
                        document.write("<TD><FONT COLOR=\"#0000FF\"><B> " + final_grade + "&nbsp;</B><I>" + conc +"</I></FONT></TD>");
                        ok = 0;
                    } 
                    counterGrades--;
                }
                if (ok == 1) {
                    conc = "Reprovado";
                    document.write("<TD><FONT COLOR=\"#FF0000\"><B> " + final_grade + "&nbsp;</B><I>" + conc + "</I></FONT> </TD>");
                }
            }
            document.write("</TR>");
        }
        document.write("</TABLE>");
    }

</SCRIPT>

<BODY TEXT="#000000" Background="gifs/fundo2.gif">

<SCRIPT LANGUAGE="JavaScript">

<%
    /**
     * Handles a single finger request from the client.
     */
    int counter_grade_steps, aux1;
    int idClassSelected = 0;
    ResultSet rs, rs1,usersByCourse;

    String database = request.getParameter("database");
    String stdType= request.getParameter("type");
    String classSelected = request.getParameter("classSelected");

    StringTokenizer analex = new StringTokenizer(classSelected);
    String token = analex.nextToken();
    try {
        idClassSelected = Integer.parseInt(analex.nextToken());
    } catch (Exception e) {}		 
  
    if (database==null || stdType==null) {
        %>
        </SCRIPT>
        <H1> Error: </H1>
	<H3> Missing information. </H3></BODY></HTML>
        <%
        return;
    }
    
    try{
        //        Openning SQL connection
        SQLDatabase sql= new SQLDatabase();
        sql.init(Defaults.WEBCOMDATABASE);

        //	Get basic course directory
        rs= sql.executeQuery("SELECT html_directory,grade_step, average FROM basic_info WHERE database_name='" + 
                             database + "'");
        sql.close();
        rs.next();
	%>
        set_basic_dir("<%= rs.getString(1) %>");
	<%
        sql.init(database);
        if (rs.getString(2).equals("true")) {
            //      Get Grade_Steps
            //      Gets the name and limit of each grade_step added.
            rs = sql.executeQuery("SELECT name, limit_grade FROM grade_step ORDER BY limit_grade");
            while (rs.next()) {
                %>
                create_grade_step("<%=rs.getString(1)%>",<%=rs.getFloat(2)%>);
                <%
            }
        } else {
            %>
            set_average(<%=rs.getFloat(3)%>);
            <%
        }

        //	Get Number of Reports (to be done)
        //	Gets the real number not the number of actually done
        rs= sql.executeQuery("SELECT id,date FROM reports WHERE class='" + idClassSelected + "'");
        for (aux1=0; rs.next(); aux1++) {
            %>
            set_reports_date(<%=rs.getInt(1)%>,"<%=rs.getDate(2)%>");
            <%             
        }
        %>
        set_reports_number( <%= aux1 %>);
        <% 

        //	Get Number of Assignments (to be done)
        //	Gets the real number not the number of actually done 
        rs= sql.executeQuery("SELECT id, weight FROM assignments WHERE class='" + idClassSelected + "'");
        int assignmentsTotalWeight = 0;
        for (aux1=0; rs.next(); aux1++) {
            assignmentsTotalWeight = assignmentsTotalWeight + rs.getInt(2);  // add each assignment weight
        }
        %>
        set_assignments_number_weight(<%= aux1 %>, <%= assignmentsTotalWeight %>);
        <%

        //	Get Number of Tests (to be done)
        //	Gets the real number not the number of actually done
        rs= sql.executeQuery("SELECT id,date FROM tests WHERE class='" + idClassSelected + "'");
        for (aux1=0; rs.next(); aux1++) {
            %>
            set_tests_date(<%=rs.getInt(1)%>,"<%=rs.getDate(2)%>");
            <%
        }
        %>
        set_tests_number( <%= aux1 %>);
        <%

        rs = sql.executeQuery("SELECT weight_assignment, weight_report, weight_test FROM class WHERE id='" + idClassSelected + "'");
        rs.next();
        %>
        set_weight_assignment (<%= rs.getInt(1)%>);
        set_weight_report (<%= rs.getInt(2)%>);
        set_weight_test (<%= rs.getInt(3)%>);
        <%
        usersByCourse = sql.executeQuery("SELECT username FROM students WHERE class='" + idClassSelected + "' ORDER BY username"); 
        sql.close();
        sql.init(Defaults.WEBCOMDATABASE);

        //	Get Students
        while (usersByCourse.next()) {
            rs = sql.executeQuery("SELECT email, homepage, username FROM users WHERE username='" + usersByCourse.getString(1) + "'");
            rs.next();
            %>
            create_student("<%= usersByCourse.getString(1) %>", "<%= rs.getString(1) %>","<%= rs.getString(2) %>")
            <%
        }
	sql.close();
        sql.init(database);
        //	Create Reports
        rs = sql.executeQuery("SELECT username, id, grade FROM activities " +
                              "WHERE type='reports' AND class='" + idClassSelected + "' ORDER by username");
        while (rs.next()) {
            rs1= sql.executeQuery("SELECT weight FROM reports WHERE id='" + rs.getInt(2) + "'");
            rs1.next();
            %>
            create_report("<%=rs.getString(1)%>", <%=rs.getInt(2)%>, <%=rs.getFloat(3)%>, <%=rs1.getInt(1)%>, <%=idClassSelected%>)
            <%
        }

        //	Create Assignments
        rs= sql.executeQuery("SELECT username, id, grade, group_name FROM activities " +
                             "WHERE type='groups' AND class='" + idClassSelected + "' ORDER by username");
        while (rs.next()) {
            rs1 = sql.executeQuery("SELECT weight FROM assignments WHERE id='" + rs.getInt(2) + "'");
            rs1.next();
            %>
            create_assignment("<%= rs.getString(1) %>", <%= rs.getInt(2) %>,<%= rs.getFloat(3)%>,"<%= rs.getString(4)%>",<%=rs1.getInt(1)%>, <%=idClassSelected%>);
            <%
        }

        //	Create Tests
        rs= sql.executeQuery("SELECT username,id, grade FROM activities WHERE type='tests' AND class='" + 
                             idClassSelected + "' ORDER by username");
        while (rs.next()) {
            rs1 = sql.executeQuery("SELECT weight FROM tests WHERE id='" + rs.getInt(2) + "'");
            rs1.next();
            %>
            create_test("<%= rs.getString(1) %>", <%= rs.getInt(2) %>, <%= rs.getFloat(3) %>,<%=rs1.getInt(1)%>)
            <%
        }
        %>
        print_students()
        <%
    } catch (Exception e) {
        %>
        </SCRIPT> </TABLE> <BR> <BR> <H1> Error, exception: </H1>
                   <B> <%= e %> "</B> </BODY> </HTML>
        <%
        return;
    }
%>

</SCRIPT>

<BR><BR><BR>

</BODY>
</HTML>
